/**圆形基础按钮样式 */
const buttonStyles = {
  width: "34px",
  height: "34px",
  backgroundColor: "#3498db",
  color: "#ffffff",
  marginRight: "15px",
  display: "flex",
  justifyContent: "center",
  alignItems: "center",
  padding: "6px",
  fontSize: "14px",
  fontWeight: "400",
  lineHeight: "34px",
  textAlign: "center",
  whiteSpace: "nowrap",
  verticalAlign: "middle",
  touchAction: "manipulation",
  cursor: "pointer",
  userSelect: "none",
  border: "1px solid transparent",
  borderRadius: "50%",
  boxShadow: "2px 2px 5px -1px #666"
};

const commonStyles = `
  ::-webkit-scrollbar {
    width: 6px;
    background-color: #00000000;
    border-radius: 5px;
  }
  
  ::-webkit-scrollbar-thumb {
    background-color: #ccc;
    border-radius: 5px;
  }
  
  ::-webkit-scrollbar-thumb:hover {
    background-color: #bbb;
  }

  @keyframes rotate {
    0% {
      transform: rotate(0deg);
    }
    100% {
      transform: rotate(360deg);
    }
  }

  .rotate-animation {
    animation: rotate 2s linear infinite;
  }
`;