function debugI18n() {
	document.querySelectorAll('[data-i18n]').forEach(element => {
		const message = chrome.i18n.getMessage(element.dataset.i18n);
		if (message) {
			if (element.tagName.toLowerCase() === 'optgroup') {
			  element.label = message;
			} else {
			  element.textContent = message;
			}
		}
	});
}
document.addEventListener('DOMContentLoaded', debugI18n);// 在文档加载完成后调用